import { Logging } from "./logging"

export interface rejectionError {
  message: string
  statusCode: number
  solved: boolean
  type?: Logging[]
}
interface rejectionErrors {
  [key: string]: rejectionError
}

export const rejectionErrors: rejectionErrors = {
  gameNotFound: {
    message: "Game not found!",
    statusCode: 404,
    solved: true,
  },
  unauthorized: {
    message: "Unauthorized",
    statusCode: 401,
    solved: true,
  },
}
